use rocket::{http::Status, State};

use crate::db::DB;

#[get("/")]
pub async fn site_index(db : &State<DB>) -> Result<String, (Status, String)> {
    let site = db.get_site_data().await.unwrap();
    let response = serde_json::to_string(&site).unwrap();

    Ok(response)
}
